petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMNetworkAddComponent

Adds a network component at the given point (vertex/edge)

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAddComponent(DM dm, PetscInt p,PetscInt componentkey,void* compvalue)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - vertex/edge point
| componentkey | - component key returned while registering the component
| compvalue | - pointer to the data structure for the component

### See Also

DMNetworkGetVertexRange, DMNetworkGetEdgeRange, DMNetworkRegisterComponent

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages